Menu

## CreateableInterface extends SaveableInterface
in

CreateableInterface.php : 10

Interface for createable models.

### Table of Contents

_save() : mixed
create() : self
save() : mixed

### Methods

#### _save()

SaveableInterface.php : 14
`public static _save(self $object, EntityManagerInterface $em) : mixed`

##### Parameters

$object : self
$em : EntityManagerInterface

##### Return values

mixed —

#### create()

CreateableInterface.php : 12
`public static create(array<string|int, mixed> $arguments) : self`

##### Parameters

$arguments : array<string|int, mixed>

##### Return values

self —

#### save()

SaveableInterface.php : 15
`public save(EntityManagerInterface $em) : mixed`

##### Parameters

$em : EntityManagerInterface

##### Return values

mixed —

## Search results